#ifndef CMWPARAMHALFKERFSIDE_H
#define CMWPARAMHALFKERFSIDE_H

#include "cmwidget.h"
#include <QTableWidgetItem>
namespace Ui {class CMWParamHalfKerfSide;};

class CMWParamHalfKerfSide : public CMWidget
{
	Q_OBJECT

public:
	CMWParamHalfKerfSide(QWidget *parent);
	~CMWParamHalfKerfSide();

	virtual void MFresh();

	virtual void MApply();

	virtual void MInit();
private slots:
	void on_tableWidget_currentItemChanged(QTableWidgetItem *current, QTableWidgetItem *previous);
private:
	Ui::CMWParamHalfKerfSide *ui;

	QStringList m_KerfStyle;
	QStringList m_strKerPos;
};

#endif // CMWPARAMHALFKERFSIDE_H
